#if defined( NTSERVICE )

    #ifndef a_bool
	#define a_bool  int
    #endif
    
    #define SERVICE_SUBKEY "System\\CurrentControlSet\\Services\\%s\\Parameters"
    
    // Prototypes for functions in ntsvc.c
    extern void	    SvcGenerateLog( char *, WORD );
    extern void	    SvcSetInitError( void );
    extern void	    SvcSetRunning( void );
    extern void	    SvcSetStopped( void );
    extern a_bool   SvcStartMinimized( void );
    extern char *   SvcServiceName( void );
    extern a_bool   SvcGUIActive( void );
    extern a_bool   SvcGetParms( char *, int * );
    extern a_bool   SvcStatus( long, long, long, long );
    extern int	    SvcWinMain( HINSTANCE, HINSTANCE, LPSTR, int );
    extern a_bool   SvcIsService( void );
    
    // Prototypes for functions called by ntsvc.c
    extern int	sv_start_service( HINSTANCE, HINSTANCE, LPSTR, int );
    extern void	sv_stop_service( void );
    extern void	sv_pause_service( void );
    extern void	sv_resume_service( void );
    extern void	sv_debug_info( char * );
    
#else

    #define SvcGenerateLog( str, num )
    #define SvcSetInitError()
    #define SvcSetRunning()
    #define SvcSetStopped()
    #define SvcStartMinimized()		    FALSE
    #define SvcServiceName()		    ""
    #define SvcGUIActive()		    TRUE
    #define SvcGetParms( buff, len )	    buff[0] = '\0'
    #define SvcStatus( l1, l2, l3, l4 )
    #define SvcWinMain( i1, i2, p, l )
    #define SvcIsService()		    FALSE

#endif

